package com.younike.system.service;

import java.util.List;
import com.younike.system.domain.SysCode;

/**
 * 店铺端常量Service接口
 *
 * @author elev
 * @date 2022-01-10
 */
public interface ISysCodeService {
    /**
     * 查询店铺端常量
     *
     * @param codeId 店铺端常量主键
     * @return 店铺端常量
     */
    List<SysCode> selectSysCodeByCodeId(String codeId);

    /**
     * 查询店铺端常量列表
     *
     * @param sysCode 店铺端常量
     * @return 店铺端常量集合
     */
    List<SysCode> selectSysCodeList(SysCode sysCode);

    /**
     * 新增店铺端常量
     *
     * @param sysCode 店铺端常量
     * @return 结果
     */
    int insertSysCode(SysCode sysCode);

    /**
     * 修改店铺端常量
     *
     * @param sysCode 店铺端常量
     * @return 结果
     */
    int updateSysCode(SysCode sysCode);

    /**
     * 批量删除店铺端常量
     *
     * @param codeIds 需要删除的店铺端常量主键集合
     * @return 结果
     */
    int deleteSysCodeByCodeIds(String[] codeIds);

    /**
     * 删除店铺端常量信息
     *
     * @param codeId 店铺端常量主键
     * @return 结果
     */
    int deleteSysCodeByCodeId(String codeId);

    /**
     * 查询 Decode_Value
     * @param codeId
     * @param decodeId
     * @return
     */
    String getDecodeValue(String codeId, String decodeId);
}
